Name:           deepin-image-viewer
Version:        5.7.15
Release:        1
Summary:        Deepin Image Viewer
License:        GPLv3
URL:            https://github.com/linuxdeepin/deepin-image-viewer
Source0:        %{name}_%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  freeimage-devel
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkcore-devel
BuildRequires:  dtkgui-devel
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(Qt5Multimedia) 
BuildRequires:  udisks2-qt5-devel
BuildRequires:  libgio-qt libgio-qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qt5-qtbase-private-devel
Requires:       hicolor-icon-theme
 
Requires:  qt5-qtimageformats
%description
%{summary}.
 
%prep
%autosetup
 
%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix} DEFINES+="VERSION=%{version}"
%make_build
%install
%make_install INSTALL_ROOT=%{buildroot}

 
%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_qt5_plugindir}/imageformats/*.so
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}/
%{_datadir}/dman/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/deepin-manual/manual-assets/application/*

%changelog
* Mon Jul 18 2022 konglidong <konglidong@uniontech.com> - 5.7.15-1
- update to 5.7.15

* Mon Feb 07 2022 liweigang <liweiganga@uniontech.com> - 5.6.3.49-2
- fix build error

* Mon Jul 12 2021 weidong <weidong@uniontech.com> - 5.6.3.49-1
- Update 5.6.3.49

* Fri Sep 4 2020 chenbo pan <panchenbo@uniontech.com> - 1.3.17-3
- fix compile fail

* Fri Aug 28 2020 chenbo pan <panchenbo@uniontech.com> - 1.3.17-2
- fix compile fail

* Thu Jul 30 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.17-1
- Package init
